For the complete documentation index, see llms.txt. This page is also available as Markdown.

Port API

Check port status

get

Returns the status of specified ports or all ports if 'ports=all' is provided.

Query parameters
tstringOptional

Response type 1=txt, 2=json

portsstringOptional

Specify a port number or use 'all' to check all ports.

Responses
200

Successful response

application/json

API response format.

errorbooleanOptional

Error status (true if an error occurred, false if successful).

messagestringOptional

Response message.

get/api/port_check
GET /api/port_check HTTP/1.1
Accept: */*
200

Successful response

{
  "error": true,
  "message": "text",
  "data": [
    {
      "port": 1,
      "online": true
    }
  ]
}

Get port status

get

Returns the status of ports, including their address, city, public IP, and online status.

Query parameters
tstringOptional

Response type 1=txt, 2=json

Responses
200

Successful response

application/json

API response format.

errorbooleanOptional

Error status (true if an error occurred, false if successful).

messagestringOptional

Response message.

get/api/port_status
GET /api/port_status HTTP/1.1
Accept: */*
200

Successful response

{
  "error": true,
  "message": "text",
  "data": [
    {
      "address": "text",
      "city": "text",
      "public_ip": "text",
      "online": true
    }
  ]
}

Set port range

get

Configures a range of ports starting from a specified port.

Query parameters
start_portstringOptional

The starting port of the range.

port_numstringOptional

The number of ports in the range.

tstringOptional

Response type 1=txt, 2=json

Responses
200

Successful response

application/json

API response format.

errorbooleanOptional

Error status (true if an error occurred, false if successful).

messagestringOptional

Response message.

get/api/set_port_range
GET /api/set_port_range HTTP/1.1
Accept: */*
{
  "error": true,
  "message": "text"
}

Check free ports

get

Returns the status of requested ports.

Query parameters
portsstringOptional

List of ports to check, separated by commas.

tstringOptional

Response type 1=txt, 2=json

Responses
200

Successful response

application/json

API response format.

errorbooleanOptional

Error status (true if an error occurred, false if successful).

messagestringOptional

Response message.

get/api/port_free
GET /api/port_free HTTP/1.1
Accept: */*
200

Successful response

{
  "error": true,
  "message": "text"
}

Last updated

Was this helpful?